        subroutine BIOLYS(K2)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
        real KBACWL, KBACSL, ACBACL, XMULTW, XMULTS
        integer J,I,II,K,K2,KK
      do 140 J = 1, KOUNT
         XMULTW = 1.0
         XMULTS = 0.0
         if (TYPEG(J).ne.'B') go to 100
         XMULTW = 0.0
         XMULTS = 1.0
100      continue
         II = -2
         if (TYPEG(J).ne.'B') ACBACL = BACPLG(J,NDAT)
         if (TYPEG(J).eq.'B') ACBACL = (BNBACG(J,NDAT)*SEDMSL(J))/
     &      (WATVOL(J)*100.0)
         do 130 K = 1, 7
            if (SPFLGG(K,K2).eq.0) go to 120
            do 110 I = 1, 4
               KK = 3*K+II+I-1
               KBACWL = KBACWG(I,K,K2)
               KBACSL = KBACSG(I,K,K2)
               if (QTBAWG(I,K,K2).ne.0.) KBACWL = KBACWG(I,K,K2)*QTBAWG(
     &            I,K,K2)**((TCELG(J,NDAT)-20.)/10.)
               if (QTBASG(I,K,K2).ne.0.) KBACSL = KBACSG(I,K,K2)*QTBASG(
     &            I,K,K2)**((TCELG(J,NDAT)-20.)/10.)
               BIOLKL(J,K2) = BIOLKL(J,K2)+ALPHA(KK,J,K2)*ACBACL*(KBACWL
     &            *XMULTW+KBACSL*XMULTS)
110         continue
120         continue
            II = II+1
130      continue
140   continue
      return
      end
